%define upstream_name    XML-NamespaceFactory
%define upstream_version 1.02

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 6

Summary:    Simple factory objects for SAX namespaced names
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/XML/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Carp)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(Test)
BuildRequires: perl(overload)
BuildRequires: perl(strict)
BuildRequires: perl(vars)
BuildArch:  noarch

%description
Simply create a new XML::NamespaceFactory object with the namespace you
wish to use as its single parameter. If you wish to use the empty
namespace, simply pass in an empty string (but undef will not do).

Then, when you want to get a JClark name, call a method on that object the
name of which is the local name you wish to have. It'll return the JClark
notation for that local name in your namespace.

Unfortunately, some local names legal in XML are not legal in Perl. To
circumvent this, you can use the hash notation in which you access a key on
the object the name of which is the local name you wish to have. This will
work just as the method call name but will accept more characters. Note
that it does not check that the name you ask for is a valid XML name. This
form is more general but slower.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make

%check
%make test

%install
%makeinstall_std

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml README
%{_mandir}/man3/*
%perl_vendorlib/*

%changelog
* Sun Jun 19 2016 pterjan <pterjan> 1.20.0-6.mga6
+ Revision: 1036032
- Rebuild for perl 5.22.2

* Mon Feb 08 2016 umeabot <umeabot> 1.20.0-5.mga6
+ Revision: 949454
- Mageia 6 Mass Rebuild

* Sun Oct 19 2014 umeabot <umeabot> 1.20.0-4.mga5
+ Revision: 789662
- Rebuild to potentially add missing dependencies

* Wed Oct 15 2014 umeabot <umeabot> 1.20.0-3.mga5
+ Revision: 739538
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.20.0-2.mga5
+ Revision: 686940
- Mageia 5 Mass Rebuild

* Thu Jul 03 2014 sander85 <sander85> 1.20.0-1.mga5
+ Revision: 642743
- update to 1.02

* Sat May 17 2014 shlomif <shlomif> 1.10.0-1.mga5
+ Revision: 623298
- update to 1.01

* Fri Oct 18 2013 umeabot <umeabot> 1.0.0-3.mga4
+ Revision: 516164
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 1.0.0-2.mga3
+ Revision: 375073
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Fri Dec 09 2011 kharec <kharec> 1.0.0-1.mga2
+ Revision: 179817
- imported package perl-XML-NamespaceFactory


* Fri Dec 09 2011 cpan2dist 1.00-1mga
- initial mageia release, generated with cpan2dist
